package handlers

import (
	"fmt"
	"log"
	"net/http"
	"strings"

	"git.agecem.com/agecem/babillard/data"
	"github.com/labstack/echo/v4"
	"github.com/spf13/viper"
)

func HandleAPIContenuList(c echo.Context) error {
	contenu_dir := viper.GetString("server.contenu_dir")

	files, err := data.ListContenu(contenu_dir)
	if err != nil {
		log.Println(err)
		return c.JSON(http.StatusInternalServerError, map[string]string{
			"message": "Internal Server Error",
			"error":   err.Error(),
		})
	}

	return c.String(http.StatusOK, strings.Join(files, ";"))
}

func HandleAPIContenuFile(c echo.Context) error {
	filename := c.Param("filename")
	contenu_dir := viper.GetString("server.contenu_dir")

	if filename == ".gitkeep" {
		return c.JSON(http.StatusNotFound, map[string]string{"message": "Not Found"})
	}

	return c.File(fmt.Sprintf("%s/%s", contenu_dir, filename))
}
